/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.appManager.exceptions;

public class AppManagerException extends Exception {

    public AppManagerException() {
        super();
    }

    public AppManagerException(String message) {
        super(message);
    }

    public AppManagerException(String message, Throwable cause) {
        super(message, cause);
    }

    public AppManagerException(Throwable cause) {
        super(cause);
    }

}
